classification
Title: Make sure documentation for PEP 451 is finished
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Arfrever, brett.cannon, docs@python, eric.snow, ezio.melotti, ncoghlan
Priority: normal Keywords:

Created on 2013-11-22 16:45 by brett.cannon, last changed 2013-12-19 06:10 by eric.snow. This issue is now closed.

Messages (5)
msg203804 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2013-11-22 16:45
This includes both importlib.rst and docstrings for various methods.
msg205887 - (view) Author: Eric Snow (eric.snow) * (Python committer) Date: 2013-12-11 06:38
I've attached a patch to issue19713 (file33088) that adds documentation for the new APIs.  Also, there were some good reviews in issue18864 (especially for file32381) that never got fully addressed.
msg206403 - (view) Author: Eric Snow (eric.snow) * (Python committer) Date: 2013-12-17 06:12
New changeset 2c27c0e5bc50 by Eric Snow in branch 'default':
Issue #19713: Update importlib docs for module spec changes, including deprecations.
http://hg.python.org/cpython/rev/2c27c0e5bc50

New changeset b78de8029606 by Eric Snow in branch 'default':
Issue #19713: Fix mistakes in the import page of language reference.
http://hg.python.org/cpython/rev/b78de8029606
msg206406 - (view) Author: Eric Snow (eric.snow) * (Python committer) Date: 2013-12-17 06:16
I'm leaving this as pending for the moment in case we notice anything I missed.
msg206582 - (view) Author: Eric Snow (eric.snow) * (Python committer) Date: 2013-12-19 06:10
If anyone notices any issues with the doc changes, please open a new issue.
History
Date User Action Args
2013-12-19 06:10:18eric.snowsetstatus: pending -> closed

messages: + msg206582
2013-12-17 06:26:07eric.snowsetstatus: open -> pending
2013-12-17 06:16:23eric.snowsetstatus: pending -> open

messages: + msg206406
2013-12-17 06:13:27eric.snowsetstatus: open -> pending
type: enhancement
resolution: fixed
stage: needs patch -> resolved
2013-12-17 06:12:53eric.snowsetmessages: + msg206403
2013-12-11 06:38:39eric.snowsetmessages: + msg205887
2013-11-25 03:47:59ezio.melottisetnosy: + ezio.melotti
2013-11-23 19:53:07Arfreversetnosy: + Arfrever
2013-11-22 16:45:50brett.cannonlinkissue18864 dependencies
2013-11-22 16:45:05brett.cannoncreate